Subject: Yahoo person interested in QUIC-LB?

From: Martin Duke <[email-masked]>
Date: Thu, 15 Nov 2018 09:51:10 -0800

Sorry for the general distribution, but a gentleman from Yahoo approached
me in Bangkok to find out more about QUIC-LB. I asked him to email me and
I'd get him on the email list, but perhaps my address was hard to find.

Anyway, if you're out there, this is my address. Drop me a line!